cascading.tuple.coerce

## Class ShortObjectCoerce

- java.lang.Object
- - cascading.tuple.coerce.Coercions.Coerce<java.lang.Short>
  - - cascading.tuple.coerce.ShortObjectCoerce

All Implemented Interfaces:
  CoercibleType<java.lang.Short>, java.io.Serializable, java.lang.reflect.Type

    public class ShortObjectCoerce
    extends Coercions.Coerce<java.lang.Short>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `ShortObjectCoerce(java.util.Map<java.lang.reflect.Type,Coercions.Coerce> map)`

### Method Summary

Methods
`java.lang.Short` `coerce(java.lang.Object value)`
`java.lang.Class<java.lang.Short>` `getCanonicalType()`

### Methods inherited from class cascading.tuple.coerce.Coercions.Coerce

`canonical, coerce, equals, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShortObjectCoerce

    protected ShortObjectCoerce(java.util.Map<java.lang.reflect.Type,Coercions.Coerce> map)

### Method Detail

#### getCanonicalType

    public java.lang.Class<java.lang.Short> getCanonicalType()

Returns:
  the actual Java type this CoercibleType represents

#### coerce

    public java.lang.Short coerce(java.lang.Object value)

Specified by:
  `coerce` in class `Coercions.Coerce<java.lang.Short>`